path: /build/build/macaroni-funtoo-stage-seed-0.20251019+4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - export LUET_YES=true && export LUET_NOLOCK=true && export LUET_VERSION=0.40.1
    && LUET_ARCH=x86_64 && apk add wget bash && mkdir /macaroni-funtoo && wget https://github.com/geaaru/luet/releases/download/v${LUET_VERSION}-geaaru/luet-v${LUET_VERSION}-geaaru-Linux-${LUET_ARCH}
    -O /usr/bin/luet && chmod a+x /usr/bin/luet && luet upgrade --sync-repos  && luet
    install --force --config ./luet.yaml --sync-repos repository/macaroni-eagle-dev
    repository/macaroni-commons-dev repository/mark-testing repository/mottainai-stable
    && luet install --force --config ./luet.yaml --skip-finalizers --sync-repos toolchain/base
    toolchain/meta-repo toolchain/meta-geaaru-kit app-admin/anise app-admin/entities
    app-admin/whip sys-apps/whip-catalog utils/yq && luet cleanup --config ./luet.yaml
    && mkdir -p /macaroni-funtoo/etc/luet && /macaroni-funtoo/usr/bin/yq w ./luet.yaml
    system.rootfs "/" -i && cp ./luet.yaml /macaroni-funtoo/etc/luet/ && cd /macaroni-funtoo/bin
    && ln -s bash sh && cd - && touch /macaroni-funtoo/etc/passwd && touch /macaroni-funtoo/etc/shadow
    && touch /macaroni-funtoo/etc/group && touch /macaroni-funtoo/etc/gshadow && /macaroni-funtoo/usr/bin/entities
    merge -s /macaroni-funtoo/usr/share/macaroni/entities/ -a --users-file /macaroni-funtoo/etc/passwd
    --shadow-file /macaroni-funtoo/etc/shadow --groups-file /macaroni-funtoo/etc/group
    --gshadow-file /macaroni-funtoo/etc/gshadow
  image: alpine
  seed: ""
  package:
    name: macaroni-funtoo-stage
    version: 0.20251019+4
    category: seed
    hidden: true
    buildtimestamp: 2025-10-19 17:08:55.37591039 +0000 UTC m=+4.880861772
    treedir: /build/packages
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-stage
  version: 0.20251019+4
  category: seed
  hidden: true
